Bug 144801 - pwc module unusable with smp kernel
pwc module unusable with smp kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 12:10 EST by Torsten Rausche
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-16 05:38:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Torsten Rausche 2005-01-11 12:10:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When loading the module with "modprobe pwc" no error messages occur:

Jan 11 16:55:15 roadrunner kernel: pwc Philips webcam module version
9.0.2-unofficial loaded.
Jan 11 16:55:15 roadrunner kernel: pwc Supports Philips PCA645/646,
PCVC675/680/690, PCVC720[40]/730/740/750 & PCVC830/840.
Jan 11 16:55:15 roadrunner kernel: pwc Also supports the Askey VC010,
various Logitech Quickcams, Samsung MPC-C10 and MPC-C30,
Jan 11 16:55:15 roadrunner kernel: pwc the Creative WebCam 5 & Pro Ex,
SOTEC Afina Eye and Visionite VCS-UC300 and VCS-UM100.
Jan 11 16:55:15 roadrunner kernel: pwc Enabling power save on open/close.
Jan 11 16:55:15 roadrunner kernel: pwc Philips PCVC740K (ToUCam
Pro)/PCVC840 (ToUCam II) USB webcam detected.
Jan 11 16:55:15 roadrunner kernel: pwc Registered as /dev/video1.
Jan 11 16:55:15 roadrunner kernel: usbcore: registered new driver
Philips webcam

But when I try to use my webcam with an application like gnomemeeting
it shows no picture and after trying to change the resolution or to
end the capturing the application doesn't react anymore. After killing
the application /var/log/messages shows something like this:

Jan 11 16:58:18 roadrunner kernel: pwc Closing video device: 239
frames received, dumped 0 frames, 239 frames with errors.

If I boot my machine with the normal (non smp) kernel all things work
well. The problem also exists in older FC3 kernel versions in the same
way.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.10-1.737_FC3

How reproducible:
Always

Steps to Reproduce:
1. Connect your Philips USB webcam
2. Boot with smp kernel
3. modprobe pwc
4. Try to use the webcam with an application like gnomemeeting

Actual Results:  No picture,
application doesn't react anymore

Expected Results:  Get the captured picture(s) don't lock the
application. Behave like without smp support.

Additional info:
Comment 1 Torsten Rausche 2005-01-16 05:38:01 EST
Got rid of the problem using kernel parameter noapic. No other things
made trouble without this.

Note You need to log in before you can comment on or make changes to this bug.